<?php
// wcf imports
require_once(WCF_DIR.'lib/system/cache/CacheBuilder.class.php');

/**
 * Caches custom portal boxes
 *
 * @package		com.woltlab.community.portal
 * @author		Oliver Kliebisch
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.cache
 * @category	Portal
 */
class CacheBuilderCustomBoxes implements CacheBuilder {
	/**
	 * @see CacheBuilder::getData()
	 */
	public function getData($cacheResource) {
		$data = array();

		$sql = "SELECT * FROM wbb".WBB_N."_portalboxes_custom";
		$result = WCF::getDB()->sendQuery($sql);
		while ($row = WCF::getDB()->fetchArray($result)) {
			$data[$row['boxID']] = $row;
		}
		
		return $data;
	}
}
?>