<?php
// wcf imports
require_once(WCF_DIR.'lib/system/cache/CacheBuilder.class.php');

/**
 * Caches just the classes of portal boxes
 *
 * @package		com.woltlab.community.portal
 * @author		Oliver Kliebisch
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.cache
 * @category	Portal
 */
class CacheBuilderPortalBoxNames implements CacheBuilder {
	/**
	 * @see CacheBuilder::getData()
	 */
	public function getData($cacheResource) {
		$data = array();

		$sql = "SELECT className, boxActivation FROM wbb".WBB_N."_portalboxes";
		$result = WCF::getDB()->sendQuery($sql);
		while ($row = WCF::getDB()->fetchArray($result)) {			
			$row['boxClassFile'] = WBB_DIR.'lib/data/boxes/'.$row['className'].'.class.php';
			$data[] = $row;
		}

		return $data;
	}
}
?>