{include file="documentHeader"}
<head>
	<title>{lang}wbb.portal.title{/lang} - {PAGE_TITLE}</title>
	{include file='headInclude' sandbox=false}
	{include file='imageViewer'}
	<script type="text/javascript">
		//<![CDATA[
		var INLINE_IMAGE_MAX_WIDTH = {@INLINE_IMAGE_MAX_WIDTH};
		//]]>
	</script>
	<meta name="generator" content="WoltLab Community Portal Plugin" />
</head>
<body{if $templateName|isset} id="tpl{$templateName|ucfirst}"{/if}>
{include file='header' sandbox=false}
<div id="main">
	{if PORTAL_ENABLE_BREADCRUMBS == 1}
		<ul class="breadCrumbs">
			<li><a href="index.php{@SID_ARG_1ST}"><img src="{icon}indexS.png{/icon}" alt="" /> <span>{PAGE_TITLE}</span></a> &raquo;</li>
		</ul>
	{/if}

	{if PORTAL_ENABLE_HEADLINE == 1}
		<div class="mainHeadline">
			<img src="{icon}portalL.png{/icon}" alt="" />
			<div class="headlineContainer">
				<h2>{lang}wbb.portal.title{/lang}</h2>
				<span>{lang}wbb.portal.description{/lang}</span>{if $this->user->userID && $this->user->getPermission('user.portal.general.canSortOwn')}<span class="headlineMenu"><img src="{icon}myPortalS.png{/icon}" alt="" /> <a href="index.php?form=PortalEdit{@SID_ARG_2ND}">{lang}wbb.portal.sortOwnView{/lang}</a></span>{/if}
			</div>
		</div>
	{/if}

	{if $userMessages|isset}{@$userMessages}{/if}

	{if $additionalPortalTopContents|isset}{@$additionalPortalTopContents}{/if}

	<div class="layout-4">
		<div class="columnContainer">
			{if $leftColumnActive}
				<div class="first column sidebar">
					<div id="leftboxcontent" class="columnInner">
						{foreach from=$portalboxes->getType2Data() item=box}
							{assign var="tplname" value=$box->getTemplateName()}
							{include file="$tplname"}
							<script type="text/javascript">
								//<![CDATA[
									initList('{$box->getStatusVariable()}', {@$box->getStatus()});
								//]]>
							</script>
						{/foreach}
					</div>
				</div>
			{/if}

			<div class="second column">
				<div id="centerboxcontent" class="columnInner">
					{foreach from=$portalboxes->getType1Data() item=box}
						{assign var="tplname" value=$box->getTemplateName()}
						{include file="$tplname"}
						<script type="text/javascript">
							//<![CDATA[
								initList('{$box->getStatusVariable()}', {@$box->getStatus()});
							//]]>
						</script>
					{/foreach}
				</div>
			</div>

			{if $rightColumnActive}
				<div class="third column sidebar">
					<div id="rightboxcontent" class="columnInner">
						{foreach from=$portalboxes->getType3Data() item=box}
							{assign var="tplname" value=$box->getTemplateName()}
							{include file="$tplname"}
							<script type="text/javascript">
								//<![CDATA[
									initList('{$box->getStatusVariable()}', {@$box->getStatus()});
								//]]>
							</script>
						{/foreach}
					</div>
				</div>
			{/if}
		</div>
	</div>

	{if $additionalPortalBottomContents|isset}{@$additionalPortalBottomContents}{/if}

	{if $additionalPageOptions|isset}
		<div class="pageOptions">
			{@$additionalPageOptions}
		</div>
	{/if}
</div>
{include file="footer"}
</body>
</html>