{include file="documentHeader"}
<head>
	<title>{lang}wbb.portal.title{/lang} - {PAGE_TITLE}</title>
	{include file='headInclude' sandbox=false}
	{include file='imageViewer'}
	<script type="text/javascript" src="js/PortalEditor.class.js"></script>
	<script type="text/javascript">
		//<![CDATA[
		var INLINE_IMAGE_MAX_WIDTH = {@INLINE_IMAGE_MAX_WIDTH};
		
		document.observe('dom:loaded', function() {
			var portalEditor = new PortalEditor();
		});
		//]]>
	</script>
	<meta name="generator" content="WoltLab Community Portal Plugin" />
</head>
<body{if $templateName|isset} id="tpl{$templateName|ucfirst}"{/if}>
{include file='header' sandbox=false}
<div id="main">
	{if PORTAL_ENABLE_BREADCRUMBS == 1}
		<ul class="breadCrumbs">
			<li><a href="index.php{@SID_ARG_2ND}"><img src="{icon}indexS.png{/icon}" alt="" /> <span>{PAGE_TITLE}</span></a> &raquo;</li>
		</ul>
	{/if}
	
	{if PORTAL_ENABLE_HEADLINE == 1}
		<div class="mainHeadline">
			<img src="{icon}myPortalL.png{/icon}" alt="" />
			<div class="headlineContainer">
				<h2>{lang}wbb.portal.edit.title{/lang}</h2>
				<span>{lang}wbb.portal.edit.description{/lang}</span>{if $this->user->customPortalBoxSort}<span class="headlineMenu"><img src="{icon}deleteS.png{/icon}" alt="" /> <a onclick="return confirm('{lang}wbb.portal.delete.settings.sure{/lang}')" href="index.php?action=ResetPortalUserSettings&amp;t={@SECURITY_TOKEN}{@SID_ARG_2ND}">{lang}wbb.portal.delete.settings{/lang}</a></span>{/if}
			</div>
		</div>
	{else}
		{if $this->user->customPortalBoxSort}
			<div class="headlineContainer" id="portalHeadlineContainer">
				<p class="headlineMenu"><img src="{icon}deleteS.png{/icon}" alt="" /> <a onclick="return confirm('{lang}wbb.portal.delete.settings.sure{/lang}')" href="index.php?action=ResetPortalUserSettings&amp;t={@SECURITY_TOKEN}{@SID_ARG_2ND}">{lang}wbb.portal.delete.settings{/lang}</a></p>
			</div>
		{/if}
	{/if}

	{if $userMessages|isset}{@$userMessages}{/if}

	<form method="post" action="index.php?form=PortalEdit">
		<div class="layout-4">
			<div class="columnContainer">
				<div class="first column">
					<div id="leftboxes" class="columnInner">
						{foreach from=$portalboxes->getType2Data() item=box}
							<div id="box_{$box->boxID}" class="boxSortCursor">
								<img class="portalEditActivateLed" src="{icon}{if $box->isEnabled()}boxActivatedS{else}boxDeactivatedS{/if}.png{/icon}" alt="" id="activatedIcon{@$box->boxID}" />
								<input name="activated[{$box->boxID}]" type="{if $box->forceActive}hidden{else}checkbox{/if}" value="1" class="portalEditActivate" title="{lang}wbb.acp.portal.box.enable{/lang}" {if !$this->user->customPortalBoxSort || $box->isEnabled()}checked="checked"{/if} id="activated{@$box->boxID}" />
								{assign var="tplname" value=$box->getTemplateName()}
								{include file="$tplname"}
								<script type="text/javascript">
									//<![CDATA[
										initList('{$box->getStatusVariable()}', {@$box->getStatus()});
									//]]>
								</script>
								<input name="positions[{$box->boxID}]" type="hidden" value="{$box->sortOrder}" />
								<input name="boxTypes[{$box->boxID}]" type="hidden" value="2" />

							</div>
						{/foreach}
					</div>
				</div>

				<div class="second column">
					<div id="centerboxes" class="columnInner">
						{foreach from=$portalboxes->getType1Data() item=box}
							<div id="box_{$box->boxID}" class="boxSortCursor">
								<img class="portalEditActivateLed" src="{icon}{if $box->isEnabled()}boxActivatedS{else}boxDeactivatedS{/if}.png{/icon}" alt="" id="activatedIcon{@$box->boxID}" />
								<input name="activated[{$box->boxID}]" type="{if $box->forceActive}hidden{else}checkbox{/if}" value="1" class="portalEditActivate" title="{lang}wbb.acp.portal.box.enable{/lang}" {if !$this->user->customPortalBoxSort || $box->isEnabled()}checked="checked"{/if} id="activated{@$box->boxID}" />
								{assign var="tplname" value=$box->getTemplateName()}
								{include file="$tplname"}
								<script type="text/javascript">
									//<![CDATA[
										initList('{$box->getStatusVariable()}', {@$box->getStatus()});
									//]]>
								</script>
								<input name="positions[{$box->boxID}]" type="hidden" value="{$box->sortOrder}" />
								<input name="boxTypes[{$box->boxID}]" type="hidden" value="1" />
							</div>
						{/foreach}
					</div>
				</div>

				<div class="third column">
					<div id="rightboxes" class="columnInner">
						{foreach from=$portalboxes->getType3Data() item=box}
							<div id="box_{$box->boxID}" class="boxSortCursor">
								<img class="portalEditActivateLed" src="{icon}{if $box->isEnabled()}boxActivatedS{else}boxDeactivatedS{/if}.png{/icon}" alt="" id="activatedIcon{@$box->boxID}" />
								<input name="activated[{$box->boxID}]" type="{if $box->forceActive}hidden{else}checkbox{/if}" value="1" class="portalEditActivate" title="{lang}wbb.acp.portal.box.enable{/lang}" {if !$this->user->customPortalBoxSort || $box->isEnabled()}checked="checked"{/if} id="activated{@$box->boxID}" />
								{assign var="tplname" value=$box->getTemplateName()}
								{include file="$tplname"}
								<script type="text/javascript">
									//<![CDATA[
										initList('{$box->getStatusVariable()}', {@$box->getStatus()});
									//]]>
								</script>
								<input name="positions[{$box->boxID}]" type="hidden" value="{$box->sortOrder}" />
								<input name="boxTypes[{$box->boxID}]" type="hidden" value="3" />
							</div>
						{/foreach}
					</div>
				</div>
			</div>
		</div>

		<div class="formSubmit">
			<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			{@SID_INPUT_TAG}
		</div>
	</form>
</div>

{include file="footer"}
</body>
</html>