{capture append='specialStyles'}
<style type="text/css">
	@import url("{@RELATIVE_WBB_DIR}acp/style/portal.css");
</style>
{/capture}
{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WBB_DIR}icon/portalL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wbb.acp.portal.list{/lang}</h2>
		<p class="normalFont">{lang}wbb.acp.portal.list.description{/lang}</p>
	</div>
</div>
{if $boxData|isset}
<div class="border content">
	<div class="container-1">
		<div id="ajaxSortDiv">
			<div class="formField">
				<label><input type="checkbox" id="ajaxSort" name="ajaxSort" value="1" checked="checked"/> {lang}wbb.acp.portal.ajaxSort{/lang}</label>
			</div>	
		</div>
	</div>
</div>
<form method="post" action="index.php?action=BoxSort">
	<div id="acpBoxView">
		<div id="leftboxes">
			{foreach from=$boxData->getType2Data() item=box}
			<div id="box_{$box->boxID}" class="boxIDCursor">
				<div class="border titleBarPanel">
					<div class="containerHead">
						<h3>
							{if $box->boxActivation}
								<a href="index.php?action=BoxDisable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/enabledS.png" alt="" title="{lang}wbb.acp.portal.box.disable{/lang}" /></a>
							{else}
								<a href="index.php?action=BoxEnable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/disabledS.png" alt="" title="{lang}wbb.acp.portal.box.enable{/lang}" /></a>
							{/if}
							{lang}wbb.portal.box.{$box->boxName}.title{/lang}
						</h3>
					</div>
				</div>
				<div class="border content borderMarginRemove">
					<div class="container-1">
						<p class="boxContent">{lang}wbb.acp.portal.boxsorting{/lang}: <input name="positions[{$box->boxID}]" type="text" value="{$box->sortOrder}" size="2"/></p>
						<p class="boxContent">{lang}wbb.acp.portal.position{/lang}: 
							<select name="boxTypes[{$box->boxID}]">
		    					    <option value="2"{if $box->boxType == 2} selected="selected"{/if}>{lang}wbb.portal.leftbox.sortorder{/lang}</option>
		    					    <option value="3"{if $box->boxType == 3} selected="selected"{/if}>{lang}wbb.portal.rightbox.sortorder{/lang}</option>
		    					</select>
	    					</p>
	    					<p class="boxContent">
		    					{lang}wbb.acp.portal.showInForum{/lang}:
		    					{if $box->showInForum}
								<a href="index.php?action=BoxShowInForumDisable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/enabledS.png" alt="" title="" /></a>
							{else}
								<a href="index.php?action=BoxShowInForumEnable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/disabledS.png" alt="" title="" /></a>
							{/if}
						</p>
					</div>
				</div>
			</div>
			{/foreach}	
		</div>
		<div id="rightboxes">
			{foreach from=$boxData->getType3Data() item=box}
			<div id="box_{$box->boxID}" class="boxIDCursor">
				<div class="border titleBarPanel">
					<div class="containerHead">
						<h3>
							{if $box->boxActivation}
								<a href="index.php?action=BoxDisable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/enabledS.png" alt="" title="{lang}wbb.acp.portal.box.disable{/lang}" /></a>
							{else}
								<a href="index.php?action=BoxEnable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/disabledS.png" alt="" title="{lang}wbb.acp.portal.box.enable{/lang}" /></a>
							{/if}
							{lang}wbb.portal.box.{$box->boxName}.title{/lang}
						</h3>
					</div>
				</div>
				<div class="border content borderMarginRemove">
					<div class="container-1">
						<p class="boxContent">{lang}wbb.acp.portal.boxsorting{/lang}: <input name="positions[{$box->boxID}]" type="text" value="{$box->sortOrder}" size="2"/></p>
						<p class="boxContent">{lang}wbb.acp.portal.position{/lang}: 
							<select name="boxTypes[{$box->boxID}]">
		    					    <option value="2"{if $box->boxType == 2} selected="selected"{/if}>{lang}wbb.portal.leftbox.sortorder{/lang}</option>
		    					    <option value="3"{if $box->boxType == 3} selected="selected"{/if}>{lang}wbb.portal.rightbox.sortorder{/lang}</option>
		    					</select>
	    					</p>
	    					<p class="boxContent">
		    					{lang}wbb.acp.portal.showInForum{/lang}:
		    					{if $box->showInForum}
								<a href="index.php?action=BoxShowInForumDisable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/enabledS.png" alt="" title="" /></a>
							{else}
								<a href="index.php?action=BoxShowInForumEnable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/disabledS.png" alt="" title="" /></a>
							{/if}
						</p>
					</div>
				</div>
			</div>
			{/foreach}
		</div>		
		<div id="centerboxes">
			{foreach from=$boxData->getType1Data() item=box}
			<div id="box_{$box->boxID}" class="boxIDCursor">
				<div class="border titleBarPanel">
					<div class="containerHead">
						<h3>
							{if $box->boxActivation}
								<a href="index.php?action=BoxDisable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/enabledS.png" alt="" title="{lang}wbb.acp.portal.box.disable{/lang}" /></a>
							{else}
								<a href="index.php?action=BoxEnable&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/disabledS.png" alt="" title="{lang}wbb.acp.portal.box.enable{/lang}" /></a>
							{/if}
							{lang}wbb.portal.box.{$box->boxName}.title{/lang}
						</h3>
					</div>
				</div>
				<div class="border content borderMarginRemove">
					<div class="container-1">
						<p class="boxContent">{lang}wbb.acp.portal.boxsorting{/lang}: <input name="positions[{$box->boxID}]" type="text" value="{$box->sortOrder}" size="2"/></p>
					</div>
				</div>
			</div>
			{/foreach}
		</div>		
	</div>	
	<script type="text/javascript">
		//<![CDATA[
			Sortable.create("centerboxes", {							
							tag: 'div',
							treeTag: 'div',
							scroll: window,							
							onUpdate: function() {
									if ($('ajaxSort').checked == true) {
										new Ajax.Request('index.php?action=AjaxBoxSort&packageID={PACKAGE_ID}{@SID_ARG_2ND_NOT_ENCODED}', {
											method: 'post',
											parameters: { boxType: 'centerboxes', data: Sortable.serialize("centerboxes") }
										});
									}																
							},
							onChange: function(element) { changeBoxParameters(element, 1) }
							});
			Sortable.create("rightboxes", {							
							tag: 'div',
							treeTag: 'div',
							dropOnEmpty: true,
							scroll: window,
							containment: ['leftboxes', 'rightboxes'],
							constraint: null,
							onUpdate: function() {
									if ($('ajaxSort').checked == true) { 
										new Ajax.Request('index.php?action=AjaxBoxSort&packageID={PACKAGE_ID}{@SID_ARG_2ND_NOT_ENCODED}', {
												method: 'post',
												parameters: { boxType: 'rightboxes', data: Sortable.serialize("rightboxes") }
									});
									}										
							},
							onChange: function(element) { changeBoxParameters(element, 3) }
							});
			Sortable.create("leftboxes", {							
							tag: 'div',
							treeTag: 'div',
							scroll: window,
							dropOnEmpty: true,
							containment: ['leftboxes', 'rightboxes'],
							constraint: null,
							onUpdate: function() {
									if ($('ajaxSort').checked == true) {
										new Ajax.Request('index.php?action=AjaxBoxSort&packageID={PACKAGE_ID}{@SID_ARG_2ND_NOT_ENCODED}', {
											method: 'post',
											parameters: { boxType: 'leftboxes', data: Sortable.serialize("leftboxes") }
									});
									}										
							},
							onChange: function(element) { changeBoxParameters(element, 2) }
							});
			
			function changeBoxParameters(element, boxTypeID) {
				var boxTypeContainer = element.up();
				var boxes = boxTypeContainer.childElements();
				boxes.each(function(box, position) {					
					var input = box.select('input');
					input[0].value = position + 1;
					if (boxTypeID != 1) {
						var select = box.select('select');
						select[0].value = boxTypeID;
					}					
				});											
			}				
		//]]>
		</script>		

		<div class="formSubmit">
			<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
			<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
	 		{@SID_INPUT_TAG}
	 	</div>
	</form>
{/if}

{include file='footer'}