{include file='header'}
<div class="mainHeadline">
	<img src="{@RELATIVE_WBB_DIR}icon/portalBox{$action|ucfirst}L.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wbb.acp.portal.customBox.{$action}{/lang}</h2>		
	</div>
</div>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $success|isset && $success}
	<p class="success">{lang}wbb.acp.portal.customBox.{$action}.success{/lang}</p>	
{/if}

<div class="contentHeader">
	<div class="largeButtons">
		<ul><li><a href="index.php?page=CustomBoxList&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/portalBoxM.png" alt="" title="{lang}wbb.acp.portal.customBox.listboxes{/lang}" /> <span>{lang}wbb.acp.portal.customBox.listboxes{/lang}</span></a></li></ul>
	</div>
</div>
<form method="post" action="index.php?form=CustomBox{$action|ucfirst}">
	
	<div class="border content">
		<div class="container-1">
		
			<fieldset>
				<legend>{lang}wbb.acp.portal.customBox.data{/lang}</legend>		
				
				{if $action == 'edit'}
					<div class="formElement" id="languageIDDiv">
						<div class="formFieldLabel">
							<label for="languageID">{lang}wbb.acp.portal.customBox.language{/lang}</label>
						</div>
						<div class="formField">
							<select name="languageID" id="languageID" onchange="location.href='index.php?form=CustomBoxEdit&amp;boxID={@$boxID}&amp;languageID=' + this.value + '&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}'">
								{foreach from=$languages key=availableLanguageID item=languageCode}
									<option value="{@$availableLanguageID}"{if $availableLanguageID == $languageID} selected="selected"{/if}>{lang}wcf.global.language.{@$languageCode}{/lang}</option>
								{/foreach}
							</select>
						</div>
						<div class="formFieldDesc hidden" id="languageIDHelpMessage">
							{lang}wbb.acp.portal.customBox.language.description{/lang}
						</div>
					</div>
					<script type="text/javascript">//<![CDATA[
						inlineHelp.register('languageID');
					//]]></script>
				{/if}
				
				<div class="formElement{if $errorField == 'title'} formError{/if}" id="titleDiv">
					<div class="formFieldLabel">
						<label for="title">{lang}wbb.acp.portal.customBox.title{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" name="title" id="title" value="{lang}{$title}{/lang}" />
						{if $errorField == 'title'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
							</p>
						{/if}
					</div>
					<div class="formFieldDesc hidden" id="titleHelpMessage">
						{lang}wbb.acp.portal.customBox.title.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('title');
				//]]></script>
								
				<div class="formElement">
					<div class="formFieldLabel">
						<label for="parserType">{lang}wbb.acp.portal.customBox.parserType{/lang}</label>
					</div>
					<div class="formField">
						<select name="parserType" id="parserType">							
							<option value="plain"{if $parserType == 'plain'} selected="selected"{/if}>{lang}wbb.acp.portal.customBox.parserType.plain{/lang}</option>
							<option value="html"{if $parserType == 'html'} selected="selected"{/if}>{lang}wbb.acp.portal.customBox.parserType.html{/lang}</option>
							<option value="template"{if $parserType == 'template'} selected="selected"{/if}>{lang}wbb.acp.portal.customBox.parserType.template{/lang}</option>
							<option value="php"{if $parserType == 'php'} selected="selected"{/if}>{lang}wbb.acp.portal.customBox.parserType.php{/lang}</option>
						</select>
					</div>
					<div class="formFieldDesc hidden" id="parserTypeHelpMessage">
						{lang}wbb.acp.portal.customBox.parserType.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('parserType');
				//]]></script>
								
				<div class="formElement">
					<div class="formFieldLabel">
						<label for="boxType">{lang}wbb.acp.portal.boxType{/lang}</label>
					</div>
					<div class="formField">
						<select name="boxType" id="boxType">							
							<option value="2"{if $boxType == 2} selected="selected"{/if}>{lang}wbb.acp.portal.boxType.left{/lang}</option>
							<option value="3"{if $boxType == 3} selected="selected"{/if}>{lang}wbb.acp.portal.boxType.right{/lang}</option>
							<option value="1"{if $boxType == 1} selected="selected"{/if}>{lang}wbb.acp.portal.boxType.center{/lang}</option>							
						</select>
					</div>
					<div class="formFieldDesc hidden" id="boxTypeHelpMessage">
						{lang}wbb.acp.portal.boxType.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('boxType');
				//]]></script>
				
				<div class="formElement formCheckBox" id="forceActiveDiv">
					<div class="formField">
						<label for="forceActive"><input type="checkbox" id="forceActive" name="forceActive" value="1"{if $forceActive}checked="checked"{/if} /> {lang}wbb.acp.portal.forceActive{/lang}</label>
					</div>
					<div class="formFieldDesc hidden" id="forceActiveHelpMessage">
						{lang}wbb.acp.portal.forceActive.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('forceActive');
				//]]></script>
				
			</fieldset>
			
			<fieldset>
				<legend>{lang}wbb.acp.portal.customBox.content{/lang}</legend>
				<textarea cols="40" rows="10" name="content" id="text">{$content}</textarea>
				{if $errorField == 'content'}
					<p class="innerError">
						{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
					</p>
				{/if}						
			</fieldset>

			{if $additionalFields|isset}{@$additionalFields}{/if}
		</div>
	</div>
		
	<div class="formSubmit">
		<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
		{if $boxID|isset}
			<input type="hidden" name="boxID" value="{@$boxID}" />
		{/if}		
 		{@SID_INPUT_TAG}
 	</div>
</form>

{include file='footer'}