{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WBB_DIR}icon/portalBoxImportL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wbb.acp.portal.customBox.import{/lang}</h2>
	</div>
</div>

{if $success|isset}
	<p class="success">{lang}wbb.acp.portal.customBox.import.success{/lang}</p>	
{/if}

{if $errorField != ''}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

<form method="post" action="index.php?form=CustomBoxImport" enctype="multipart/form-data">
	<div class="border content">
		<div class="container-1">
			<fieldset>
				<legend>{lang}wbb.acp.portal.customBox.import{/lang}</legend>
			
				<div class="formElement{if $errorField == 'file'} formError{/if}" id="fileDiv">
					<div class="formFieldLabel">
						<label for="file">{lang}wbb.acp.portal.customBox.import.upload{/lang}</label>
					</div>
					<div class="formField">
						<input type="file" id="file" name="file" value="" />
						{if $errorField == 'file'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
								{if $errorType == 'importFailed'}{lang}wbb.acp.portal.customBox.import.error.importFailed{/lang}{/if}
								{if $errorType == 'uploadFailed'}{lang}wbb.acp.portal.customBox.import.error.uploadFailed{/lang}{/if}
							</p>
						{/if}
					</div>
					<div class="formFieldDesc hidden" id="fileHelpMessage">
						{lang}wbb.acp.portal.customBox.import.upload.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('file');
				//]]></script>
				
			</fieldset>
			
			{if $additionalFields|isset}{@$additionalFields}{/if}
		</div>
	</div>

	<div class="formSubmit">
		<input type="submit" accesskey="s" name="submitButton" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
 		{@SID_INPUT_TAG}
	</div>
</form>

{include file='footer'}