{include file='header'}
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/MultiPagesLinks.class.js"></script>

{if $deletedBoxID|isset && $deletedBoxID}
	<p class="success">{lang}wbb.acp.portal.customBox.delete.success{/lang}</p>	
{/if}

<div class="mainHeadline">
	<img src="{@RELATIVE_WBB_DIR}icon/portalBoxL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wbb.acp.portal.customBox.list{/lang}</h2>
		<p>{lang}wbb.acp.portal.customBox.list.count{/lang}</p>
	</div>
</div>

	<div class="contentHeader">
		{pages print=true assign=pagesLinks link="index.php?page=CustomBoxList&pageNo=%d&sortField=$sortField&sortOrder=$sortOrder&packageID="|concat:PACKAGE_ID:SID_ARG_2ND_NOT_ENCODED}
		
		<div class="largeButtons">
			<ul>				
				<li><a href="index.php?form=CustomBoxAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wbb.acp.portal.customBox.add{/lang}"><img src="{@RELATIVE_WBB_DIR}icon/portalBoxAddM.png" alt="" /> <span>{lang}wbb.acp.portal.customBox.add{/lang}</span></a></li>				
				{if $additionalLargeButtons|isset}{@$additionalLargeButtons}{/if}
			</ul>
		</div>
	</div>

{if !$boxes}
	<div class="border content">
		<div class="container-1">
			{lang}wbb.acp.portal.customBox.noneAvailable{/lang}
		</div>
	</div>
{else}	
	<div class="border">
		<div class="containerHead"><h3>{lang}wbb.acp.portal.customBox.list.count{/lang}</h3></div>
	</div>
	<div class="border titleBarPanel borderMarginRemove">
		<table class="tableList">
			<thead>
				<tr class="tableHead">							
					<th class="columnBoxID{if $sortField == 'customBoxID'} active{/if}" colspan="2"><div><a href="index.php?page=CustomBoxList&amp;pageNo={@$pageNo}&amp;sortField=customBoxID&amp;sortOrder={if $sortField == 'customBoxID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wbb.acp.portal.boxID{/lang}{if $sortField == 'customBoxID'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					<th class="columnTitle{if $sortField == 'title'} active{/if}"><div><a href="index.php?page=CustomBoxList&amp;pageNo={@$pageNo}&amp;sortField=title&amp;sortOrder={if $sortField == 'title' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wbb.acp.portal.customBox.title{/lang}{if $sortField == 'title'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					<th class="columnBoxType{if $sortField == 'boxType'} active{/if}"><div><a href="index.php?page=CustomBoxList&amp;pageNo={@$pageNo}&amp;sortField=boxType&amp;sortOrder={if $sortField == 'boxType' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wbb.acp.portal.boxType{/lang}{if $sortField == 'boxType'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					<th class="columnParserType{if $sortField == 'parserType'} active{/if}"><div><a href="index.php?page=CustomBoxList&amp;pageNo={@$pageNo}&amp;sortField=parserType&amp;sortOrder={if $sortField == 'parserType' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wbb.acp.portal.customBox.parserType{/lang}{if $sortField == 'parserType'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>										
					
					{if $additionalColumnHeads|isset}{@$additionalColumnHeads}{/if}
				</tr>
			</thead>
			<tbody>
			{foreach from=$boxes item=box}
				{assign var=boxID value=$box->boxID}
				<tr class="{cycle values="container-1,container-2" advance=false}" id="customBoxRow{@$box->boxID}">					
					<td class="columnIcon">																	
						{if $this->user->getPermission('admin.portal.customBox.canEdit')}<a href="index.php?form=CustomBoxEdit&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/editS.png" alt="" title="{lang}wbb.acp.portal.customBox.edit{/lang}" /></a>{else}<img src="{RELATIVE_WCF_DIR}icon/editDisabledS.png" />{/if}												
						{if $this->user->getPermission('admin.portal.customBox.canDelete')}<a onclick="return confirm('{lang}wbb.acp.portal.customBox.delete.sure{/lang}')" href="index.php?action=CustomBoxDelete&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/deleteS.png" alt="" title="{lang}wbb.acp.portal.customBox.delete{/lang}" /></a>{else}<img src="{@RELATIVE_WCF_DIR}icon/deleteDisabledS.png" alt="" title="" />{/if}
						{if $this->user->getPermission('admin.portal.customBox.canExport')}<a href="index.php?action=BoxExport&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/exportS.png" alt="" title="{lang}wbb.acp.portal.customBox.export{/lang}" /></a>{else}<img src="{@RELATIVE_WCF_DIR}icon/exportDisabledS.png" alt="" title="" />{/if}
						
						{if $additionalButtons.$boxID|isset}{@$additionalButtons.$boxID}{/if}
					</td>
					<td class="columnBoxID columnID">{@$box->boxID}</td>
					<td class="columnTitle columnText"><a title="{lang}wbb.acp.portal.customBox.edit{/lang}" href="index.php?form=CustomBoxEdit&amp;boxID={@$box->boxID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}{$box->title}{/lang}</a></td>
					<td class="columnBoxType columnText">
						{lang}wbb.acp.portal.boxType.{if $box->boxType == 2}left{elseif $box->boxType == 3}right{else}center{/if}{/lang}
					</td>
					<td class="columnParserType columnText">
						{lang}wbb.acp.portal.customBox.parserType.{$box->parserType}{/lang}
					</td>					
					{if $additionalColumns.$boxID|isset}{@$additionalColumns.$boxID}{/if}
				</tr>
			{/foreach}
			</tbody>
		</table>
	</div>

	<div class="contentFooter">
		{@$pagesLinks}
		
		<div class="largeButtons">
			<ul>				
				<li><a href="index.php?form=CustomBoxAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wbb.acp.portal.customBox.add{/lang}"><img src="{@RELATIVE_WBB_DIR}icon/portalBoxAddM.png" alt="" /> <span>{lang}wbb.acp.portal.customBox.add{/lang}</span></a></li>				
				{if $additionalLargeButtons|isset}{@$additionalLargeButtons}{/if}
			</ul>
		</div>
	</div>
{/if}
{include file='footer'}