<?php
// wbb imports
require_once(WBB_DIR.'lib/acp/action/PortalBoxAction.class.php');

/**
 * Disable portal box
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.action
 * @category	Portal
 */
class BoxDisableAction extends PortalBoxAction
{
	/**
	 * Disables display in portal and forums
	 * 	 
	 * @return	void
	 * @see		Action::execute()
	 */
	public function execute()
	{
		parent::execute();
		
		$this->box->disable();
		PortalBox::resetCache();
		$this->executed();
		
		// forward to list page
		HeaderUtil::redirect('index.php?page=PortalManagementList&packageID='.PACKAGE_ID.SID_ARG_2ND_NOT_ENCODED, false);
	}
}
?>
