<?php
// wcf imports
require_once(WCF_DIR.'lib/page/AbstractPage.class.php');

/**
 * Shows Portal Credits in ACP
 * 
 * @package	com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	page
 * @category	Portal
 */
class PortalAboutPage extends AbstractPage {
	// system
	public $templateName = 'portalAbout';
	
	/**
	 * @see AbstractPage::show()
	 */
	public function show() {
		WCFACP::getMenu()->setActiveMenuItem('wbb.acp.menu.link.content.portal');		
		
		parent::show();
	}

}
?>
