<?php
// wcf imports
require_once(WCF_DIR.'lib/data/cronjobs/Cronjob.class.php');

// wbb imports
require_once(WBB_DIR.'lib/data/boxes/PortalBox.class.php');

/**
 * Deletes all cached portal boxes
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.cronjob
 * @category	Portal
 * @deprecated	Deprecated as of 2.0. Serves only as fallback for boxes which don't 
 * 				clean up themselves. Should be removed or made void in future.
 */
class ClearPortalCacheCronjob implements Cronjob {
	/**
	 * Delete all cached portal boxes
	 * 
	 * @return	void
	 * @see		Cronjob::execute()
	 */
	public function execute($data) {
		PortalBox::resetCache(true);
	}
}
?>
