<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

// wbb imports
require_once(WBB_DIR.'lib/data/boxes/PortalBox.class.php');

/**
 * Clears the box cache if fired
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.event.listener
 * @category	Portal
 */
class PortalClearCacheListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if (isset($eventObj->activeCategory) && StringUtil::indexOf($eventObj->activeCategory, 'portal') != -1) {
			PortalBox::resetCache(true);
		}
	}
}
?>